Subject: Re: bug#25978: 25.1; Message from `text-scale-adjust' is shown in other frames too

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Aug 2020 19:43:22 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Drew Adams <[email-masked]>,  [email-masked]
> Date: Thu, 20 Aug 2020 18:31:05 +0200
> 
> >> Frame-switch should not systematically empty the echo area, IMO.
> >
> > Of course not.  I meant only in this specific case.  IOW, set things
> > up in text-scale-adjust so that the echo area is emptied when frame is
> > switched after displaying this particular message.
> 
> Do we have any machinery for setting up an action like that?

Not that I know of, no.  But I'm far from being an expert on all the
features related to echo-area messages.